KDE 4.7 PyKDE API Reference

- KDE's Python API

# HTMLLabelElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Form field label text. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#edef-LABEL"> LABEL element definition in HTML 4.0.

## Methods
| __init__ (self)
| __init__ (self, DOM.HTMLLabelElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | accessKey (self)
DOM.DOMString | htmlFor (self)
| setAccessKey (self, DOM.DOMString a0)
| setHtmlFor (self, DOM.DOMString a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLLabelElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString accessKey | ( |  | self ) |

A single character access key to give access to the form control. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-accesskey"> accesskey attribute definition in HTML 4.0.

DOM.DOMString htmlFor | ( |  | self ) |

This attribute links this label with another form control by id attribute. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-for"> for attribute definition in HTML 4.0.

setAccessKey | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see accessKey

setHtmlFor | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see htmlFor